Page MenuHomeFreeBSD

sysutils/iichid: Update to 0.0.3
ClosedPublic

Authored by miguel_gocobachi.dev on Jul 1 2020, 5:28 PM.

Details

Summary
sysutils/iichid: Update to 0.0.3

Add two OPTIONS:

  * Make USB support optional
  * Verbose mode optional

One of the things I dont want with my computer is having
those messages from iichid on the console, so I added the
verbose option.

Reviewed_by: koobs (ports)
Approved by: koobs (ports)
Approved by: imp (maintainer)
Differential_Revision: D25538
MFH: <branch|No> <reason>
Test Plan

poudriere

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

Following is Makefile I was going to submit to ports some time ago:

# Created by: jrhett@netconsonance.com
# $FreeBSD: head/sysutils/iichid/Makefile 529986 2020-03-31 16:15:16Z rene $

PORTNAME=       iichid
DISTVERSION=    0.0.2
CATEGORIES=     sysutils

MAINTAINER=     imp@FreeBSD.org
COMMENT=        Generic FreeBSD HID layer for I2C and USB devices

LICENSE=        BSD2CLAUSE
LICENSE_FILE=   ${WRKSRC}/LICENSE

IGNORE_FreeBSD_11=      Requires FreeBSD 12.1 or later

USES=   kmod uidfix

# USB backend is disabled by default as it interferes with existing USB drivers
OPTIONS_DEFINE= I2C USB
OPTIONS_DEFAULT=I2C
I2C_DESC=       HID over I2C support
USB_DESC=       HID over USB support

USE_GITHUB=     yes

GH_ACCOUNT=     wulf7

PLIST_FILES=    ${KMODDIR}/iichid.ko

I2C_MAKE_ARGS_OFF=      -DDISABLE_I2CHID
USB_MAKE_ARGS_OFF=      -DDISABLE_USBHID

.include <bsd.port.options.mk>

.if ${PORT_OPTIONS:MI2C}
ONLY_FOR_ARCHS=         aarch64 amd64 i386
ONLY_FOR_ARCHS_REASON=  I2C transport requires architecture supporting ACPI
.endif

.include <bsd.port.mk>

It is slightly simpler and can optionally disable both HID backends.

sysutils/iichid/Makefile
35 ↗(On Diff #73980)

It is better to reduce iichid default debug level rather than disable debug completely. It is set with following line in iichid.c:

static int iichid_debug = 1;

Patch it with sed to be initialized to zero.

38 ↗(On Diff #73980)

You can skip USB HID compiling with addition of -DDISABLE_USBHID to make arguments. No need to patch Makefile.

This revision is now accepted and ready to land.Jul 5 2020, 10:07 PM

BTW I tagged current snapshot with 0.0.3. You can bump DISTVERSION to chase it.

This revision now requires review to proceed.Jul 6 2020, 1:30 PM
This revision is now accepted and ready to land.Jul 6 2020, 3:46 PM

@wulf or @lwhsu can you merge this into the ports tree? thanks!

@wulf or @lwhsu can you merge this into the ports tree? thanks!

I need a port committer approval to do this.

In D25538#570437, @wulf wrote:

@wulf or @lwhsu can you merge this into the ports tree? thanks!

I need a port committer approval to do this.

This port is maintained by @imp so we need his approval or timeout (is there a PR for this?)
BTW, if all the development is moved to base now, we may want to mark IGNORE on 13?

is there a PR for this?

Really no. We have similar PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247787
I wrote to it's author to replace his patch with this one to not duplicate things.

BTW, if all the development is moved to base now, we may want to mark IGNORE on 13?

I hope we will mark it with IGNORE on on 13, but not now. It requires some surgery like moving all existing HID code to its own subsystem. That is not done yet.

In D25538#570725, @wulf wrote:

is there a PR for this?

Really no. We have similar PR: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247787
I wrote to it's author to replace his patch with this one to not duplicate things.

I moved this patch to https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=247787

Is -werror now disabled /overridden in upstream sources?

Is this ready to go? I've been busy with personal stuff the last few weeks, but could do this if we're ready... And is this patch identical to the one in the bug or not?

@imp I've approved (ports) the updated patch in the bugzilla issue

@imp I've approved (ports) the updated patch in the bugzilla issue

Great! Should I commit it then? Or is someone else on tap for that?

koobs retitled this revision from sysutils/iichid to sysutils/iichid: Update to 0.0.3.
koobs edited the summary of this revision. (Show Details)
koobs edited the summary of this revision. (Show Details)

@If you accept this review + maintainer-approval + the patch in bugzilla, @wulf is clear to self-assign and commit+merge with my ports approval (already added).

If @wulf needs help with that, I can support

thanks guys, I though @wulf was the maintainer as well. But thank you very much for following this up all of you.

Happy to hand it off, said so in the bugzilla, feel free to proceed with my fullest possible blessing.

This revision was automatically updated to reflect the committed changes.